import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'flutter_theoaks_paystack_platform_interface.dart';

/// An implementation of [FlutterTheoaksPaystackPlatform] that uses method channels.
class MethodChannelFlutterTheoaksPaystack
    extends FlutterTheoaksPaystackPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_theoaks_paystack');

  @override
  Future<String?> getPlatformVersion() async {
    final version =
        await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
